## ledit 2.01

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.26 2008/01/18 13:26:46 deraugla Exp $
+# $Id: Makefile,v 1.27 2008/05/22 08:35:45 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
@@ -45,16 +45,16 @@
 
 ext/%.cmo: ext/%.ml
 	camlp5r -I ext -loc loc $< -o ext/$*.ppo
-	$(OCAMLC) -I +camlp5 -c -impl ext/$*.ppo
+	$(OCAMLC) -I `camlp5 -where` -c -impl ext/$*.ppo
 	rm -f ext/$*.ppo
 
 %.cmo: %.ml
 	$(CAMLP5) $< -o $*.ppo
-	$(OCAMLC) -I +camlp5 -c -impl $*.ppo
+	$(OCAMLC) -I `camlp5 -where` -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmx: %.ml
 	$(CAMLP5) $< -o $*.ppo
-	$(OCAMLOPT) -I +camlp5 -c -impl $*.ppo
+	$(OCAMLOPT) -I `camlp5 -where` -c -impl $*.ppo
 	/bin/rm -f $*.ppo
 %.cmi: %.mli
 	$(CAMLP5) $< -o $*.ppi
