## ledit 2.02.1

=== debian/changelog ===
ledit (2.02.1-3build3) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 12:56:38 +0000

ledit (2.02.1-3build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:43:35 +0000

ledit (2.02.1-3build1) precise; urgency=low

  * Rebuild for new camlp5 ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 13:00:30 +0000

ledit (2.02.1-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Recompile with OCaml 3.12.1 (no changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 23:29:41 +0100

ledit (2.02.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 14:48:24 +0200

ledit (2.02.1-1) unstable; urgency=low

  * New upstream release
    - remove all patches (merged upstream)
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - bump Standards-Version to 3.9.1
    - bump versioned build-dependency on camlp5 to ease camlp5 transition

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 18:20:22 +0100

ledit (2.01-6) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Feb 2010 21:33:25 +0100

ledit (2.01-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Simplify debian/rules
    - Use debian/clean
    - Use dh_ocamldoc (Closes: #549718)
    - Use dh_ocaml
   * Add dh_ocaml variables ${misc:Depends} in debian/control

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 15:05:26 +0200

ledit (2.01-4) unstable; urgency=low

  [ Stephane Glondu ]
  * Add myself to Uploaders and DMUA
  * Fix bashism in debian/rules (Closes: #535394)
  * debian/control:
    - update Standards-Version to 3.8.2
    - move libledit-ocaml-dev to section ocaml
    - add Homepage field
    - add versioned dependency to camlp5 to ease OCaml 3.11.1 transition
  * Generate API documentation and install ledit.mli and cursor.mli

  [ Sylvain Le Gall ]
  * Add debian/README.source for standards-version compliance
  * Update debian/copyright using
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove lintian overrides
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 09:17:01 +0200

ledit (2.01-3) unstable; urgency=low

  * provide for the (new) virtual package "readline-editor"
  * register ledit executable as an alternative for readline-editor
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 27 Apr 2009 18:19:23 +0200

ledit (2.01-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Use dh-ocaml's predefined variables and cleanup rules.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Feb 2009 09:36:16 +0100

ledit (2.01-1) experimental; urgency=low

  [ Stephane Glondu ]
  * Switching packaging to git

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * Rebuild with OCaml 3.11 (strengthen dep on camlp5)
  * debian/control: bump Standards-Version (no changes needed)
  * debian/rules: prefer "dh_prep" to deprecated "dh_clean -k"

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 17:58:05 +0100

ledit (2.00-4) unstable; urgency=low

  * split a new libledit-ocaml-dev binary package, shipping Ledit as a
    library to build interactive programs with line editing capabilities
  * debian/control: move ocaml build-deps from build-dep-indep to
    build-dep since now we ship an arch:any package
  * bump debhelper compatibility level to 7

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 03 Jun 2008 11:44:10 +0200

ledit (2.00-3) unstable; urgency=low

  * Rebuild against OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 May 2008 11:52:50 +0200

ledit (2.00-2) unstable; urgency=low

  * Rebuild against ocaml 3.10.1.
  * Add myself to Uploaders.
  * Remove the binary-arch rule from debian/rules; build the package in
    binary-indep instead (thanks, lintian!).

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 11:02:01 +0100

ledit (2.00-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Jan 2008 19:17:56 +0100

ledit (1.17-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 16 Jan 2008 10:25:15 +0000

ledit (1.16-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Fri, 04 Jan 2008 09:44:28 +0000

ledit (1.15-1) unstable; urgency=low

  * new upstream release
  * debian/watch
    - better regexp to avoid fooling uscan when creating the .orig.tar.gz
      symlink
  * debian/control
    - bump ocaml-nox dep build-dep to 3.10
  * debian/patches
    - disable camlp5 patch, now upstream relies natively on camlp5

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 16:06:37 +0200

ledit (1.14-1) experimental; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.0 and upload to experimental
  * debian/control.in
    - file removed, no longer needed
  * debian/control
    - add build-dep on camlp5, since we need the classical camlp4
    - bump debhelper build-dep to 5
  * debian/watch
    - add watch file
  * debian/patches
    - remove ledit.dpatch, no longer needed
    - add camlp5.dpatch, to build properly against (renamed) classical camlp4
  * debian/compat
    - bump debhelper compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Jul 2007 11:09:47 +0200


