=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlinit.mk

DESTDIR = $(CURDIR)/debian/ledit
LEDIT_LIBDIR = $(CURDIR)/debian/libledit-ocaml-dev/$(OCAML_STDLIB_DIR)/ledit

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp ocamlinit-stamp
build-stamp:
	dh_testdir
	$(MAKE) CUSTOM=
	if [ $(OCAML_OPT_ARCH) ]; then $(MAKE) opt; fi
	touch build-stamp

clean: ocamlinit-clean
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
	$(MAKE) install BINDIR=$(DESTDIR)/usr/bin MANDIR=$(DESTDIR)/usr/share/man/man1

install-arch: build
	dh_testdir -s
	dh_testroot -s
	dh_prep -s
	dh_installdirs -s
	mkdir -p $(LEDIT_LIBDIR)
	$(MAKE) install-lib LEDIT_LIBDIR=$(LEDIT_LIBDIR)
	dh_install -s
	dh_ocamldoc

binary-indep: build install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i ledit.1
	dh_installinfo -i
	dh_installchangelogs -i CHANGES
	dh_link -i
	dh_strip -X ledit -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_ocaml -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installexamples -s
	dh_installinfo -s
	dh_installchangelogs -s CHANGES
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_ocaml -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary install configure
