## ledit 2.03

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.27 2008/05/22 08:35:45 deraugla Exp $
+# $Id: Makefile,v 1.28 2010-11-19 09:34:51 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
@@ -12,11 +12,15 @@
 TARGET=ledit.out
 MKDIR=mkdir -p
 EXT=ext/pa_def.cmo ext/pa_local.cmo
+CUSTOM=-custom
+LEDIT_LIBDIR=$(shell $(OCAMLC) -where)/ledit
 
 all: $(EXT) $(TARGET) ledit.1
+all: ledit.cma
+opt: ledit.cmxa
 
 $(TARGET): $(OBJS)
-	$(OCAMLC) -custom $(OTHER_OBJS) $(OBJS) -o $(TARGET)
+	$(OCAMLC) $(CUSTOM) $(OTHER_OBJS) $(OBJS) -o $(TARGET)
 
 $(TARGET:.out=.opt): $(OBJS:.cmo=.cmx)
 	$(OCAMLOPT) $(OTHER_XOBJS) $(OBJS:.cmo=.cmx) -o $(TARGET:.out=.opt)
@@ -25,13 +29,30 @@
 	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
 	sed s/LEDIT_VERSION/$$VERSION/ ledit.1.tpl > ledit.1
 
+ledit.cma: cursor.cmo ledit.cmo
+	$(OCAMLC) -a -o $@ $^
+ledit.cmxa: cursor.cmx ledit.cmx
+	$(OCAMLOPT) -a -o $@ $^
+
 clean:
 	/bin/rm -f *.cm[iox] *.pp[oi] *.o ext/*.cm[io] *.bak $(TARGET) ledit.1
+	rm -f ledit.cma ledit.cmxa *.a
+	rm -f META
 
 install:
 	-$(MKDIR) $(BINDIR) $(MANDIR)
 	-cp ledit.out $(BINDIR)/ledit
 	-cp ledit.1 $(MANDIR)/ledit.1
+
+install-lib: META
+	-$(MKDIR) $(LEDIT_LIBDIR)
+	cp META $(LEDIT_LIBDIR)/
+	cp ledit.cma ledit.cmi cursor.cmi $(LEDIT_LIBDIR)/
+	if [ -f ledit.cmxa ] ; then cp ledit.cmxa ledit.a $(LEDIT_LIBDIR)/ ; fi
+
+META: META.tpl
+	VERSION=`sed -n -e 's/^.* version = "\(.*\)".*$$/\1/p' go.ml`; \
+	sed s/LEDIT_VERSION/$$VERSION/ META.tpl > META
 
 depend:
 	> .depend.new
