=== debian/changelog ===
ledit (2.03-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 10:14:20 -0600

ledit (2.03-4) unstable; urgency=medium

  * Rebuild with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 19:13:47 +0200

ledit (2.03-3) unstable; urgency=medium

  * Misspelled shlibs in d/control. Thanks to Chris Lamb! (closes: #792968)
  * d/copyright: short name of license according to standard.
  * Standards-Version 3.9.6 (no change)
  * d/control: canonical addresses in VCS-* fields
  * Fix typo in manpage ("allows one to")
  * drop README.source which is no longer relevant.

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Aug 2015 15:07:24 +0200

ledit (2.03-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Compile with OCaml 4.01.0

  [ Ralf Treinen ]
  * new patch manpage-typos: fix some typos in ledit.1 manpage. Thanks a
    lot to A. Costa! (closes: #672479)
  * debian/copyright header paragraph: add format, field names as required
    by format 1.0, drop fields not allowd in format 1.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 20:10:11 +0100

ledit (2.03-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release

  [ Ralf Treinen ]
  * debian/rules: added targets build-{arch,indep}
  * Added myself as uploader.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Mar 2012 18:47:51 +0100
