=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>> 7.0.0),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  camlp5 (>= 6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Homepage: http://cristal.inria.fr/~ddr/ledit/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ledit.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ledit.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ledit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ledit.git
 
 Package: ledit
 Architecture: all
@@ -36,7 +36,7 @@
  ${ocaml:Depends},
  ocaml-findlib,
  camlp5,
- ${shlib:Depends},
+ ${shlibs:Depends},
  ${misc:Depends}
 Provides:
  ${ocaml:Provides}
