=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	dh_testdir
 	touch configure-stamp
 
-build: configure-stamp build-stamp ocamlinit-stamp
+build: build-arch build-indep
+build-arch: configure-stamp build-stamp ocamlinit-stamp
+build-indep: configure-stamp build-stamp ocamlinit-stamp
+
 build-stamp:
 	dh_testdir
 	$(MAKE) CUSTOM=
