## ledit 2.04

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.28 2010-11-19 09:34:51 deraugla Exp $
+# $Id: Makefile,v 1.28 2010/11/19 09:34:51 deraugla Exp $
 
 BINDIR=/usr/local/bin
 LIBDIR=/usr/local/lib
