=== debian/changelog ===
ledit (2.04-8build13) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 13:34:38 +0200

ledit (2.04-8build12) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:06:58 +0200

ledit (2.04-8build11) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 19:58:50 -0400

ledit (2.04-8build10) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:44:34 +0100

ledit (2.04-8build9) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:37:20 +0100

ledit (2.04-8build8) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:24:45 +0100

ledit (2.04-8build7) plucky; urgency=medium

  * Rebuild against latest camlp5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jan 2025 16:41:07 -0500

ledit (2.04-8build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jan 2025 09:09:32 +0100

ledit (2.04-8build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:26:40 +0100

ledit (2.04-8build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:04:57 +0100

ledit (2.04-8build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:42:15 +0200

ledit (2.04-8build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:56 +0200

ledit (2.04-8build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:49:28 +0200

ledit (2.04-8) unstable; urgency=medium

  * Fix compilation with OCaml 5.2.0 (Closes: #1073884)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2024 03:52:29 +0200

ledit (2.04-7) unstable; urgency=medium

  * Make ledit an arch:any package (Closes: #1051475)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 17:15:06 +0200

ledit (2.04-6) unstable; urgency=medium

  * Fix compilation with camlp5 8.00.02 (Closes: #1004052)
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:07:28 +0100

ledit (2.04-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 14:03:47 +0200

ledit (2.04-4) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:22:35 +0100

ledit (2.04-3) unstable; urgency=medium

  * Move bash-completion to Build-Depends, so that we can use dh --with
    bash_completion

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 14:04:37 +0200

ledit (2.04-2) unstable; urgency=medium

  * Bump debhelper compat level to 12 and switch to dh
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 08:48:00 +0200

ledit (2.04-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields
  * Remove Samuel from Uploaders as he is no longer a DD. Many thanks
    to Samuel for his past work in our team!

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 14:03:05 +0200

ledit (2.03-6) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 15:30:38 +0200

ledit (2.03-5) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * debian/rules: replace deprecated debhelper option "-s" by "-a"
  * add bash-completion:
    - add build-dependency on bash-completion
    - add debian/ledit.bash-completion
    - debian/rules: invoke dh_bash-completion

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Dec 2016 11:29:40 +0100
