=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://cristal.inria.fr/~ddr/ledit/ distrib/src/ledit-(.*)\.tgz
